Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 Re : Réseau » Save différentielle et gestion de "versions" » 05-05-2012 20:19:01

Merci pour vos réponses. J'ai compris le principe et je continue donc avec duplicity.

Blacksad, très claire ton explication et avec l'exemple tout y est ... il n'y a plus qu'à !

Ta méthode me convient très bien. J'ai prévu de l'adapter par une reconstruction et vérification sur le serveur de sauvegarde. Je précise.
- à la place de ta totale le mercredi je reconstituerai cette totale par application des différentielles sur la totale précédente,
- ensuite pour m'assurer que cette "nouvelle" totale est conforme je calcule son md5-serveur
- sur la machine source je calcule le md5-source du fichier de référence
- Enfin je vérifie que les 2 md5 concordent.

Si c'est OK alors le beurre, l'argent du beurre et la crémière cool

Espace de sauvegarde minimum, temps de transfert minimum au détriment de temps processeur sur des machine qui n'en manquent pas.

Bon c'est un idée pas encore concrétisée mais j'y travaille.

Vous y voyez un inconvénient qui m'aurait échappé ? Existe t'il un soft qui le fait déjà ? avec linux tout est possible roll

A+

#2 Re : Réseau » Save différentielle et gestion de "versions" » 04-05-2012 19:40:04

Merci pour vos réponses. bract je n'ai pas vu sbackup en particulier mais j'ai constaté que la plupart de ces outils s'appuyaient en fait sur 2 "moteurs" (rsync, j'ai oublié l'autre) et mes debian n'ont jamais survécu à une manipulation sur les dépôts donc j'assure en ne faisant ... rien cool

zoroastre74 la sauvegarde est quotidienne pour le moment je tourne avec 4 générations donc quelques Go. Dans ce cadre de générations multiples je comprends la suppression de versions. La solution du différentiel me semble vraiment top j'économiserai au moins 2/3 de l'espace et je pourrai même envisager des save par le net (actuellement DD externe, très relative comme sécurité ...).

#3 Réseau » Save différentielle et gestion de "versions" » 04-05-2012 18:27:56

BrunoL
Réponses : 6
Bonjour,

Je cherche à mettre en œuvre un environnement de sauvegarde sur des répertoires dont une des particularités est qu'ils contiennent de gros fichiers 250 à 500 Mo qui quotidiennement n'évoluent que de quelques Ko.

Après recherches j'opterais pour duplicity si un point pouvait être éclairé d'où ma question :
Duplicity fait des sauvegardes incrémentales/différentielles donc ne sauvegarde que les parties de fichiers ayant changé depuis la dernière save. Exactement ce que je cherche MAIS il existe une fonctionnalité qui permet de supprimer des versions antérieures ... comment est-ce possible ?

J'ai mon fichier à j0 F (sauvegarde initiale),
à j+1 F est sauver en F +deltaF1 (seul deltaF1 et transféré et stocké),
à j+2 F est sauvé en F +deltaF1 + deltaF2 (seul deltaF2 et transféré et stocké),
à j+3 F est sauvé en F +deltaF1 + deltaF2 + deltaF2 (seul deltaF3 et transféré et stocké),
etc ...

comment est-il possible de virer une version ? Pour restaurer à J+4 mon fichier F j'ai besoin de tous les morceaux !

A l'évidence quelque chose m'échappe.

Merci pour vos éclaircissement. Je suis également tout à fait ouvert à des suggestions d'autres outils mais qui reste à un usage privé/simple wink

#4 Re : Multimédia » [Résolu] dvd video : copie » 01-05-2012 08:18:44

dvd95 fonctionne impeccable mais le dvd que je veux récupérer a une protection rebelle.

Rien à faire mais c'est un autre problème.

#5 Re : Multimédia » [Résolu] dvd video : copie » 30-04-2012 20:43:50

J'ai progressé ... en compilant dvd95 qui marche impeccable.

64% du dvd est traité en 15 mn (la bécane est costaud) mais pourquoi 64% et pas 100 % parce que :

*** libdvdread: CHECK_VALUE failed in /build/buildd-libdvdread_4.1.3-10-amd64-vFgcZu/libdvdread-4.1.3/src/nav_read.c:263 ***
*** for dsi->dsi_gi.zero1 == 0 ***


Quand ça veut pas hein.

Je vais bidouiller un peu les paramètre et si ça passe pas j'essaierai devede dont j'ai lu beaucoup de bien. Et je l'ai dans mes paquets roll

#6 Re : Multimédia » [Résolu] dvd video : copie » 30-04-2012 19:30:23

Merci pour ces informations.

J'ai un sérieux pb avec k9copy, il m'annonce 21 h de délai pour traiter le dvd ... je l'ai flingué au bout de 2 h.

J'ai essayé plusieurs fois avec le même résultat.

Je vais essayer de récupérer dvd95. C'est pas dans la poche car j'ai http://debian-multimedia.org/ comme depot mais sous squeeze il n'apparaît pas.

Demain c'est férié ... wink

#7 Multimédia » [Résolu] dvd video : copie » 30-04-2012 14:52:25

BrunoL
Réponses : 7
Bonjour,

Je souhaite sauvegarder un dvd de 9 G sur un support de 4,7 G.

Sous Ubuntu j'utilisais dvd95 mais sous debian je n'arrive pas à le trouver. D'après mes recherches il appartiendrait au paquet wnpp mais je ne le trouve pas sad

Existe-t-il sous debian squeeze ?

Sinon avec quoi faites vous ce type de manip ?

nota : Je lis les dvd video parfaitement.

Merci.

#8 Re : Réseau » [Résolu] serveur lancé par utilisateur » 26-04-2012 19:50:54

Parfait zoroastre74 et ton lien est excellent.

J'ai conservé le script de mediatomb car grâce à tes informations j'ai pu le comprendre et en fait il fait exactement ce que je souhaitais mais du fait de mon implantation avec le fichier de configuration sous mediatomb il partait en vrille parce qu'en standard il l'attend dans /etc/default.

... et j'ai même pu vérifier que c'était bien mediatomb le propriétaire du processus lancé.

Merci à tous.

#9 Re : GNOME » [Résolu] Désinstaller tomboy vire gnome ... » 23-04-2012 20:23:25

Merci Martin_mtl. C'est très clair et ça m'accable wink

C'est vrai synaptic m'habitue à une certaine légèreté dans mes clics. Je vais regarder de plus prés aptitude.

A+

#10 Re : Réseau » [Résolu] serveur lancé par utilisateur » 23-04-2012 20:13:49

bonsoir demon,

Ta solution est ce que je veux éviter. Ne pas associer le serveur mediatomb à root d'où l'utilisation d'un user dédié.

Ceci devrait, si j'ai bien compris, lors de l'ouverture à l'extérieur éviter que mediatomb puisse servir de point d'entrée qui permettrait de prendre la main sur la machine complète.

J'ai suivi un guide qui expliquait cela mais qui n'a pas préciser comment finaliser l'installation d'où mon problème sad

Je pense créer un script dans init.d ayant mediatomb comme propriétaire mais je ne comprends pas bien les mécanismes de sécurité. Je souhaiterais respecter/(rentrer dans) ces mécanismes.

Merci quand même de ton aide.

#11 Réseau » [Résolu] serveur lancé par utilisateur » 22-04-2012 16:10:16

BrunoL
Réponses : 4
Bonjour,

J'ai un serveur mediatomb installé qui fonctionne très bien. Par sécurité j'ai créé pour lui un utilisateur dédié. Mon problème est que si je lance ce soft ailleurs que sous cet utilisateur ou lors d'un reboot il se considère sous root et utilise le fichier de config de root !

Donc comment faire pour que lors du lancement /etc/init.d mediatomb il soit associé à son utilisateur "mediatomb" et pas à root ?

Merci.

#12 GNOME » [Résolu] Désinstaller tomboy vire gnome ... » 22-04-2012 15:55:04

BrunoL
Réponses : 2
Bonjour,

Dans un moment d'égarement j'ai désinstaller tomboy après avoir constater qu'il est difficile de récupérer les notes dans un autre format que le sien.

Au redémarrage plus de serveur graphique ! J'ai bien vu que cette désinstallation entraînait d'autres suppressions de soft mais de là à virer gnome c'est quand même un peu surprenant !

N'ayant rien fait d'autre qui puisse expliquer ce résultat pouvez-vous me confirmer cet "effet de bord" ? Comment cela s'explique t'il, tomboy est quand même en périphérie de gnome ?

J'ai fait une réinstalle de tomboy en croyant naïvement que tout rentrerait dans l'ordre ... que nenni.

Comment réinstaller proprement gnome ?

En attendant je redécouvre Xfce après un expérience malheureuse. Ce bureau avec les outils gnome qui n'ont pas virés, est tout de suite beaucoup plus sympathique un bien pour un mal donc roll

#13 Re : Installation de Debian » [Résolu] Dell optiplex 790 : install squeeze géle » 22-04-2012 15:44:19

Je n'y ai accès que lundi et si je peux éviter de perdre à nouveau du temps avec la 6.4 je préférerais;)

Ce qui me surprend c'est que l'install se plante salement sans aucune indication. J'ai tenté l'install en débranchant le réseau avec le même résultat ce qui me fait douter que cela vienne de la carte réseau.

A+

#14 Re : Multimédia » [Résolu] mediatomb : freebox V5 reconnaissnace partielle » 22-04-2012 10:52:37

Diverses solution sont proposées sur le net pour le mp3 (que la freebox n'accepte pas pour des raisons de licence et donc d'€). Aucune de ces solutions ne fonctionne pour moi (encapsuler en avi, ...)

Pour les images c'est résolu. Celles de plus 1,5 Mo mettent le souk, la free présentant l'icone et non la photo. Donc réduction par imagemagic et ça roule. En avi les videos passent nickel.

Pour le config de mediatomb et le traitement des flux je cherche encore (convertir les mp3 en ogg). Sa syntaxe est ardue.

Pour le reste mediatomb est vraiment nickel.
A+

#15 Installation de Debian » [Résolu] Dell optiplex 790 : install squeeze géle » 22-04-2012 10:16:37

BrunoL
Réponses : 2
Bonjour,

J'essaie en vain d'installer une 6.0.3 sur cette machine mais l'install après avoir demandé la langue se fige sur un écran noir avec en haut à gauche un "_" clignotant.

Mes recherches indiquent qu'il s'agirait d'un problème de carte réseau gigabit qui ne serait reconnue qu'à partir de la 6.0.4

Pouvez-vous me confirmer ce point car j'ai peu accès à cette machine et son propriétaire s'impatiente hmm

Autre précision, je dois installer l'os sur un disque externe relié en usb, je ne me rappelle pas que lors de l'installation de grub il soit demandé où on souhaite l'implanter. Y a t'il un risque qu'il s'implante sur le disque dur (de la machine) ?

Merci.

#16 Multimédia » [Résolu] mediatomb : freebox V5 reconnaissnace partielle » 10-04-2012 12:25:05

BrunoL
Réponses : 1
Bonjour,

J'ai installé mediatomb qui répond parfaitement aux pc du lan et à des streamer philips mais sur une freebox il est détecté car son nom "MediaTomb" apparaît ainsi que le chemin audio, photo, ...
Les photos sont accessible mais pas l'audio (mp3) ni le video (mpg).

J'ai récupéré sur le net des config.xml supposées traiter les FB mais elles font toutes référence à une version 2 :
<config version="2" xmlns="http://mediatomb.cc/config/2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://mediatomb.cc/config/2 http://mediatomb.cc/config/2.xsd">

Qui fige le soft au lancement ?

Auriez vous un config en v1 adaptée de l'install qui fonctionne bien avec la FB v5 ?

merci.

#17 Re : Autres » [Dissolu] fichier fantôme ? » 10-04-2012 12:11:47

Bonjour,

Effectivement martin_mtl, considérer la réinstallation comme mode de résolution c'est limite ...

Je parle de ma limite pas celle de Debian big_smile

#18 Re : Autres » [Dissolu] fichier fantôme ? » 09-04-2012 11:31:47

Bon problème réglé ... par une réinstall.

La compile ... une cata j'ai fini de plomber la précédente install hmm

Décidément l'up-grade d'iceweasel est très risqué, car génère de multiple effets de bord. Ma (nième) nouvelle ré-install se porte bien depuis 5 jours wink

Je touche plus à iceweasel.

A+

#19 Re : Scripts, programmes et robots » git : push sur serveur » 07-04-2012 18:51:38

hey stopher,

je voudrais utiliser git comme un gestionnaire de fichier et suivre les répertoires partagés sur plusieurs machines. Un cloud pour parler in.

J'ai vu que git pouvait gérer cela. Mais tout les doc que j'ai trouvé sur le net se "réduise" à l'usage de gestionnaire de version de git pour du source. Donc, si j'ai bien compris, fondé sur une structure du genre : je travaille sur espace "privé" et si OK je publie dans mon espace "public". les gens avec qui je travaille prenne mes documents dans mon espace "public" et les mettent dans leur espace "privé" ... et font de même pour leurs modifications.

Ce work flow doit être simplifié pour l'usage que je veux en faire. Je bosse sur mon portable et je "versionnise" sur mon serveur (attention bi-directionnel) et d'autres user font de même avec parfois des conflits à gérer mais ça avec git c'est élémentaire.

Merci pour ton adresse mais j'y retrouve les éléments des doc dont je dispose.
J'espère que c'est plus clair. Je veux faire de l'unisson mais en gardant des versions ...

A+

#20 Re : Gestion des paquets Debian » aptitude update : erreur de pgp » 07-04-2012 10:05:11

Je progresse, enfin je crois ... j'aimerai éviter une nouvelle installation hmm

Ce n'est pas un problème de clé mais plutôt de configuration apt.

Après avoir beaucoup merdé réfléchi je constate que :
# gpg --list-keys
/root/.gnupg/pubring.gpg
------------------------
pub   4096R/473041FA 2010-08-27 [expire: 2018-03-05]
uid                  Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>

pub   4096R/06C4AE2A 2010-11-20 [expire: 2012-11-14]
uid                  Debian Mozilla team APT archive <pkg-mozilla-maintainers@lists.alioth.debian.org>


Donc les clés sont bien là. pourquoi ce message à l'update :
W: Erreur de GPG : http://debian.mirror.inra.fr squeeze-proposed-updates Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AED4B06F473041FA

ou vu différemment pourquoi apt-key fingerprint qui donne :
# apt-key fingerprint
/etc/apt/trusted.gpg
--------------------
pub   1024D/F42584E6 2008-04-06 [expire: 2012-05-15]
    Empreinte de la clé = 7F5A 4445 4C72 4A65 CBCD  4FB1 4D27 0D06 F425 84E6
pub   4096R/55BE302B 2009-01-27 [expire: 2012-12-31]
    Empreinte de la clé = 150C 8614 919D 8446 E01E  83AF 9AA3 8DCD 55BE 302B
pub   2048R/6D849617 2009-01-24 [expire: 2013-01-23]
    Empreinte de la clé = F6CF DE30 6133 3CE2 A43F  DAF0 DFD9 9330 6D84 9617
pub   4096R/B98321F9 2010-08-07 [expire: 2017-08-05]
    Empreinte de la clé = 0E4E DE2C 7F3E 1FC0 D033  800E 6448 1591 B983 21F9
pub   4096R/473041FA 2010-08-27 [expire: 2018-03-05]
    Empreinte de la clé = 9FED 2BCB DCD2 9CDF 7626  78CB AED4 B06F 4730 41FA
pub   4096R/06C4AE2A 2010-11-20 [expire: 2012-11-14]
    Empreinte de la clé = 85F0 6FBC 75E0 67C3 F305  C3C9 85A3 D265 06C4 AE2A


quel trousseau utilise aptitude ?

Merci.

#21 Re : Gestion des paquets Debian » aptitude update : erreur de pgp » 05-04-2012 20:28:52

J'ai pas avancé mais voici quelques précision sur le pb rencontré qui pourrait aider les connaisseurs.

Sur aptitude update j'obtiens (je prends qu'une clé) :
W: Erreur de GPG : http://backports.debian.org squeeze-backports Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AED4B06F473041FA

Je nettoie :
# apt-key del AED4B06F473041FA
OK


Je récupère :
# gpg --keyserver hkp://subkeys.pgp.net --recv-key AED4B06F473041FA
gpg: requête de la clé 473041FA du serveur hkp subkeys.pgp.net
gpg: clé 473041FA: « Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org> » n'a pas changé
gpg:        Quantité totale traitée: 1
gpg:                      inchangée: 1


Et j'applique :
# gpg -a --export AED4B06F473041FA |apt-key add -


En obtenant :
gpg: [don't know]: invalid packet (ctb=01)
gpg: keydb_get_keyblock failed: eof
gpg: [don't know]: invalid packet (ctb=01)
gpg: keydb_search failed: paquet invalide
gpg: [don't know]: invalid packet (ctb=01)
[...]
gpg: keydb_search failed: paquet invalide
gpg: [don't know]: invalid packet (ctb=01)
gpg: keydb_search failed: paquet invalide


Une idée ?

Merci.

#22 Gestion des paquets Debian » aptitude update : erreur de pgp » 05-04-2012 19:22:15

BrunoL
Réponses : 2
Bonjour,

Suite à divers petit pb j'ai réinstallé ma squeeze en gardant mon /home

Après quoi aptitude update me retourne :
W: Erreur de GPG : http://debian.mirror.inra.fr squeeze Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AED4B06F473041FA
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://debian.mirror.inra.fr squeeze-updates Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AED4B06F473041FA


Il semble que cela soit mis automatiquement à l'install, que faire pour faire actualiser ces keys ?

Merci.

#23 Re : Autres » [Dissolu] fichier fantôme ? » 03-04-2012 18:56:00

Salut et merci pour vos remarques.

martin_mtl j'avais vu ces 2sites sans solutions, zoroastre je te confirme que truecrypt s'installe généralement sans problème je l'ai déjà fait sur 2 machines avec le même debian ! Ce qui m'étonne c'est que cette nouvelle qui plante est la plus propre de toutes  ... je viens de l'installer et je n'ai fait qu'up-grader Iceweasel.

J'ai testé en root et en user. Le fichier est bien l'exécutable. J'ai simulé un binaire pourri et effectivement au lancement au lieu de dire quoi que ce soit il m'a renvoyé des messages de type "fichier inconnu" ou des truc bizarre sur des ( manquantes ... donc c'est bien mon exécutable qui a un problème. Je partage ton opinion sur des pb de liens avec des lib ou autres mais là ça me dépasse. J'ai utilisé un paquet qui m'a permis de l'installé sur une autre machine donc ce n'est pas le support qui est pourri.

J'ai voulu me lancer à compiler le source me disant que cela venait sûrement du binaire qui devait ne pas trouver les ressources nécessaires mais là j'ai surestimer mes capacités. Aptitude détecte des dépendances problématiques et qui me dépassent totalement.

Bon je continue donc à partir du binaire roll

#24 Re : Autres » [Dissolu] fichier fantôme ? » 02-04-2012 19:56:11

Comme mon sujet n'inspire personne j'approfondis roll

Aujourd'hui nouvelle tentative qui sort un message qui n'apparaissait pas hier "Requirement ... FUSE lib and tols et device mapper..."
or ces softs sont déjà installés.

J'ai vu une info sur le web évoquant des modprobe et ajout dans un fichier de fuse-utils et dm-tools (suis pas sur des nom) cela peut-il expliquer mon pb?

Nota : j'ai vu que plusieurs fils évoqué des pb de sudo, ce n'est pas le cas de mon poste sudo marche impec.

merci.

#25 Matériel » aptitude : propose mais n'installe pas » 02-04-2012 19:46:37

BrunoL
Réponses : 1
Bonjour,

pour compiler un soft j'ai besoin de la libgtk2.0-dev donc
---------------------------------------------------------------------------------------
# aptitude install libgtk2.0-dev
Les NOUVEAUX paquets suivants vont être installés :
  autopoint{a} debhelper{a} gettext{a} html2text{a} intltool-debian{a}
[...]
  x11proto-xext-dev{a} x11proto-xinerama-dev{a} xtrans-dev{a}
0 paquets mis à jour, 50 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 15,0 Mo d'archives. Après dépaquetage, 44,5 Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
  libcairo2-dev: Dépend: libcairo2 (= 1.8.10-6) mais 1.10.2-7~bpo60+1 est installé.
  libpixman-1-dev: Dépend: libpixman-1-0 (= 0.16.4-1) mais 0.24.0-1~bpo60+1 est installé.
Les actions suivantes permettront de résoudre ces dépendances :

     Conserver les paquets suivants dans leur version actuelle :
1)     libcairo2-dev [Non installé]                             
2)     libgtk2.0-dev [Non installé]                             
3)     libpango1.0-dev [Non installé]                           
4)     libpixman-1-dev [Non installé]                           

Accepter cette solution ? [Y/n/q/?]

--------------------------------------------------------------------------------------
Je réponds Y et ça produit :

----------------------------------------------------------------------------------

Accepter cette solution ? [Y/n/q/?] Y
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.

---------------------------------------------------------------------------------
Pour info j'ai installé iceweasel 11.0 et je crois avoir vu passé des ~bpo60+1

Comment faire pour qu'aptitude tienne ses promesse smile

Merci.

Pied de page des forums

Propulsé par FluxBB